From cb965f273c6d0e17fa5f48aa405f21b85265084b Mon Sep 17 00:00:00 2001
From: Pantelis Antoniou <panto@antoniou-consulting.com>
Date: Sat, 31 Mar 2012 16:40:01 +0000
Subject: [PATCH 1/2] 2.6 compile fixes

---
 tools/perf/Makefile                    |    2 +-
 tools/perf/util/include/linux/export.h |    6 ++++++
 tools/perf/util/include/linux/module.h |    6 ------
 3 files changed, 7 insertions(+), 7 deletions(-)
 create mode 100644 tools/perf/util/include/linux/export.h
 delete mode 100644 tools/perf/util/include/linux/module.h

diff --git a/tools/perf/Makefile b/tools/perf/Makefile
index 74fd7f8..3c32126 100644
--- a/tools/perf/Makefile
+++ b/tools/perf/Makefile
@@ -249,7 +249,7 @@ LIB_H += util/include/linux/const.h
 LIB_H += util/include/linux/ctype.h
 LIB_H += util/include/linux/kernel.h
 LIB_H += util/include/linux/list.h
-LIB_H += util/include/linux/module.h
+LIB_H += util/include/linux/export.h
 LIB_H += util/include/linux/poison.h
 LIB_H += util/include/linux/prefetch.h
 LIB_H += util/include/linux/rbtree.h
diff --git a/tools/perf/util/include/linux/export.h b/tools/perf/util/include/linux/export.h
new file mode 100644
index 0000000..b43e2dc
--- /dev/null
+++ b/tools/perf/util/include/linux/export.h
@@ -0,0 +1,6 @@
+#ifndef PERF_LINUX_MODULE_H
+#define PERF_LINUX_MODULE_H
+
+#define EXPORT_SYMBOL(name)
+
+#endif
diff --git a/tools/perf/util/include/linux/module.h b/tools/perf/util/include/linux/module.h
deleted file mode 100644
index b43e2dc..0000000
--- a/tools/perf/util/include/linux/module.h
+++ /dev/null
@@ -1,6 +0,0 @@
-#ifndef PERF_LINUX_MODULE_H
-#define PERF_LINUX_MODULE_H
-
-#define EXPORT_SYMBOL(name)
-
-#endif
-- 
1.7.1

